# tree_land.h File Reference

Sprites to use and how to display them for tree tiles. More...

Go to the source code of this file.

## Data Structures
struct | TreePos
## Variables
static const SpriteID | _tree_sprites_1 []
static const byte | _tree_base_by_landscape [4] = {0, 12, 20, 32}
static const byte | _tree_count_by_landscape [4] = {12, 8, 12, 9}
static const TreePos | _tree_layout_xy [][4]
static const PalSpriteID | _tree_layout_sprite [164+(79-48+1)][4]

## Detailed Description

Sprites to use and how to display them for tree tiles.

Definition in file tree_land.h.

## Variable Documentation

const TreePos _tree_layout_xy[][4]`[static]`

Initial value:

     {
      { { 9, 3 }, { 1, 8 }, { 0, 0 }, { 8, 9 } },
      { { 4, 4 }, { 9, 1 }, { 6, 9 }, { 0, 9 } },
      { { 9, 1 }, { 0, 9 }, { 6, 6 }, { 3, 0 } },
      { { 3, 9 }, { 8, 2 }, { 9, 9 }, { 1, 5 } }
    }

Definition at line 23 of file tree_land.h.

const SpriteID _tree_sprites_1[]`[static]`

Initial value:

     {
      SPR_FLAT_1_QUART_SNOWY_TILE,
      SPR_FLAT_2_QUART_SNOWY_TILE,
      SPR_FLAT_3_QUART_SNOWY_TILE,
      SPR_FLAT_SNOWY_TILE
    }

Definition at line 8 of file tree_land.h.